From bee09731d4dedfb98b56c1e1511092f9b2b4f8ab Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 3 Jan 2017 12:00:00 -0500
Subject: [PATCH 5/5] fixup! Add PUBLICATION catalogs and DDL

Remove unused header files.
---
 src/backend/catalog/pg_publication.c   | 6 ------
 src/backend/commands/publicationcmds.c | 8 --------
 src/include/commands/replicationcmds.h | 1 -
 3 files changed, 15 deletions(-)

diff --git a/src/backend/catalog/pg_publication.c b/src/backend/catalog/pg_publication.c
index e628ea8815..89e15d8fa1 100644
--- a/src/backend/catalog/pg_publication.c
+++ b/src/backend/catalog/pg_publication.c
@@ -33,12 +33,6 @@
 #include "catalog/pg_publication.h"
 #include "catalog/pg_publication_rel.h"
 
-#include "executor/spi.h"
-
-#include "nodes/makefuncs.h"
-
-#include "replication/reorderbuffer.h"
-
 #include "utils/array.h"
 #include "utils/builtins.h"
 #include "utils/catcache.h"
diff --git a/src/backend/commands/publicationcmds.c b/src/backend/commands/publicationcmds.c
index 167836d5c6..60de9eb61a 100644
--- a/src/backend/commands/publicationcmds.c
+++ b/src/backend/commands/publicationcmds.c
@@ -37,14 +37,6 @@
 #include "commands/event_trigger.h"
 #include "commands/replicationcmds.h"
 
-#include "executor/spi.h"
-
-#include "nodes/makefuncs.h"
-
-#include "parser/parse_clause.h"
-
-#include "replication/reorderbuffer.h"
-
 #include "utils/array.h"
 #include "utils/builtins.h"
 #include "utils/catcache.h"
diff --git a/src/include/commands/replicationcmds.h b/src/include/commands/replicationcmds.h
index aaea845895..f608231722 100644
--- a/src/include/commands/replicationcmds.h
+++ b/src/include/commands/replicationcmds.h
@@ -15,7 +15,6 @@
 #ifndef REPLICATIONCMDS_H
 #define REPLICATIONCMDS_H
 
-#include "catalog/objectaddress.h"
 #include "nodes/parsenodes.h"
 
 extern ObjectAddress CreatePublication(CreatePublicationStmt *stmt);
-- 
2.11.0

